ConnectorMBean (Catalina Internal API Documentation)
Keywords: org.apache.catalina.mbeans.ConnectorMBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class ConnectorMBean

    java.lang.Object
      org.apache.commons.modeler.BaseModelMBean
          org.apache.catalina.mbeans.ClassNameMBean
              org.apache.catalina.mbeans.ConnectorMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

public class ConnectorMBean
extends ClassNameMBean

A ModelMBean implementation for the `org.apache.coyote.tomcat4.CoyoteConnector` component.

Version:
  $Revision: 1.4 $ $Date: 2002/05/02 02:03:15 $
Author:
  Amy Roh

Field Summary

Fields inherited from class org.apache.commons.modeler.BaseModelMBean
`attributeBroadcaster, attributes, generalBroadcaster, info, oname, registry, resource, resourceType, source`

Constructor Summary
`ConnectorMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary
`boolean` | `getClientAuth()` Return Client authentication info
`java.lang.String` | `getKeystoreFile()` Return keystoreFile
`java.lang.String` | `getKeystorePass()` Return keystorePass
`void` | `setClientAuth(boolean clientAuth)` Set Client authentication info
`void` | `setKeystoreFile(java.lang.String keystoreFile)` Set keystoreFile
`void` | `setKeystorePass(java.lang.String keystorePass)` Set keystorePass

Methods inherited from class org.apache.catalina.mbeans.ClassNameMBean
`getClassName`

Methods inherited from class org.apache.commons.modeler.BaseModelMBean
`addAttributeChangeNotificationListener, addNotificationListener, createDefaultModelMBeanInfo, createResource, getAttribute, getAttributes, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, getRegistry, initModelInfo, invoke, isModelMBeanInfoValid, load, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedResource, setModeledType, setModelMBeanInfo, setRegistry, store, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectorMBean

    public ConnectorMBean()
                   throws javax.management.MBeanException,
                          javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Throws:
  `javax.management.MBeanException` - if the initializer of an object throws an exception
  `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Method Detail

### getClientAuth

    public boolean getClientAuth()
                          throws java.lang.Exception

  Return Client authentication info

  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### setClientAuth

    public void setClientAuth(boolean clientAuth)
                       throws java.lang.Exception

  Set Client authentication info

  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### getKeystoreFile

    public java.lang.String getKeystoreFile()
                                     throws java.lang.Exception

  Return keystoreFile

  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### setKeystoreFile

    public void setKeystoreFile(java.lang.String keystoreFile)
                         throws java.lang.Exception

  Set keystoreFile

  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### getKeystorePass

    public java.lang.String getKeystorePass()
                                     throws java.lang.Exception

  Return keystorePass

  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### setKeystorePass

    public void setKeystorePass(java.lang.String keystorePass)
                         throws java.lang.Exception

  Set keystorePass

  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.